# opalpluginmgr.h File Reference

`#include <ptlib/object.h>`
`#include <opal/buildopts.h>`
`#include <ptlib/pluginmgr.h>`
`#include <ptlib/pfactory.h>`
`#include <codec/opalplugin.h>`
`#include <opal/mediafmt.h>`
`#include <opal/transcoders.h>`
`#include <h323/h323caps.h>`
`#include <codec/vidcodec.h>`

Include dependency graph for opalpluginmgr.h:

Go to the source code of this file.

## Data Structures

class | H323StaticPluginCodec
class | OpalPluginCodecHandler
class | OpalPluginCodecManager
class | OpalPluginControl
class | OpalPluginMediaFormatInternal
class | OpalPluginMediaFormat
class | OpalPluginTranscoder
class | OpalPluginAudioFormatInternal
class | OpalPluginFramedAudioTranscoder
class | OpalPluginStreamedAudioTranscoder
class | OpalPluginVideoFormatInternal
class | OpalPluginVideoTranscoder
class | OpalPluginFaxFormatInternal
class | OpalFactoryCodec
class | OpalPluginTranscoderFactory< TranscoderClass >
class | OpalPluginTranscoderFactory< TranscoderClass >::Worker
class | H323PluginCapabilityInfo
class | H323AudioPluginCapability
class | H323PluginG7231Capability
class | H323CodecPluginNonStandardAudioCapability
class | H323CodecPluginGenericAudioCapability
class | H323CodecPluginNonStandardVideoCapability
class | H323CodecPluginGenericVideoCapability
class | H323H261PluginCapability
class | H323H263PluginCapability

## Defines

#define | OPAL_DECLARE_EMPTY_AUDIO_CAPABILITY(fmt, type)
#define | OPAL_DEFINE_EMPTY_AUDIO_CAPABILITY(fmt) static fmt##_CapabilityRegisterer fmt##_CapabilityRegisterer_instance; \
#define | OPAL_DECLARE_EMPTY_G7231_CAPABILITY(fmt, annex)
#define | OPAL_DEFINE_EMPTY_G7231_CAPABILITY(fmt) static fmt##_CapabilityRegisterer fmt##_CapabilityRegisterer_instance; \

## Typedefs

typedef PFactory< H323StaticPluginCodec > | H323StaticPluginCodecFactory

## Functions

| PFACTORY_LOAD (OpalPluginCodecManager)

## Define Documentation

#define OPAL_DECLARE_EMPTY_AUDIO_CAPABILITY | ( | fmt,
|  | type |  | ) |

Value:

    class fmt##_CapabilityRegisterer { \
      public: \
        fmt##_CapabilityRegisterer() \
        { H323CapabilityFactory::Register(fmt, new H323AudioPluginCapability(fmt, fmt, type)); } \
    }; \

#define OPAL_DECLARE_EMPTY_G7231_CAPABILITY | ( | fmt,
|  | annex |  | ) |

Value:

    class fmt##_CapabilityRegisterer { \
      public: \
        fmt##_CapabilityRegisterer() \
        { H323CapabilityFactory::Register(fmt, new H323PluginG7231Capability(fmt, annex)); } \
    }; \

#define OPAL_DEFINE_EMPTY_AUDIO_CAPABILITY | ( | fmt |  | ) | static fmt##_CapabilityRegisterer fmt##_CapabilityRegisterer_instance; \

#define OPAL_DEFINE_EMPTY_G7231_CAPABILITY | ( | fmt |  | ) | static fmt##_CapabilityRegisterer fmt##_CapabilityRegisterer_instance; \

## Typedef Documentation

typedef PFactory<H323StaticPluginCodec> H323StaticPluginCodecFactory

## Function Documentation

PFACTORY_LOAD | ( | OpalPluginCodecManager |  | ) |